Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Anthony G. Basile" <blueness@g.o>
Subject: dev/blueness:master commit in: app-benchmarks/spew/files/, app-benchmarks/spew/
Date: Tue, 5 Apr 2011 21:42:32 +0000 (UTC)
commit:     ad54c8a563d27b984bcaf6510760205f8bb5f582
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  5 14:02:59 2011 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Tue Apr  5 14:02:59 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/blueness.git;a=commit;h=ad54c8a5

app-benchmarks/spew: staging for intro to tree

(Portage version: 2.1.9.42/git/Linux x86_64, signed Manifest commit with key 0xD0455535)

---
 app-benchmarks/spew/ChangeLog                      |    8 ++++
 app-benchmarks/spew/Manifest                       |   15 ++++++++
 .../spew/files/remove-symlinks-makefile.patch      |   26 ++++++++++++++
 app-benchmarks/spew/metadata.xml                   |   13 +++++++
 app-benchmarks/spew/spew-1.0.8.ebuild              |   37 ++++++++++++++++++++
 5 files changed, 99 insertions(+), 0 deletions(-)

diff --git a/app-benchmarks/spew/ChangeLog b/app-benchmarks/spew/ChangeLog
new file mode 100644
index 0000000..2f480f0
--- /dev/null
+++ b/app-benchmarks/spew/ChangeLog
@@ -0,0 +1,8 @@
+
+
+*spew-1.0.8 (05 Apr 2011)
+
+  05 Apr 2011; Anthony G. Basile <blueness@g.o> +spew-1.0.8.ebuild,
+  +files/remove-symlinks-makefile.patch, +metadata.xml:
+  Initial commit.
+

diff --git a/app-benchmarks/spew/Manifest b/app-benchmarks/spew/Manifest
new file mode 100644
index 0000000..126cd35
--- /dev/null
+++ b/app-benchmarks/spew/Manifest
@@ -0,0 +1,15 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
+AUX remove-symlinks-makefile.patch 1125 RMD160 ce243020147db07916bbece151bd5116a9a106bf SHA1 6a4a64afe8cb45ee01af7b0e0a4997510b54a029 SHA256 06e591faefec55e12d52576f7ac4972dc4e4d0ba550f20bac3c089c7df1253a1
+DIST spew-1.0.8.tgz 162091 RMD160 e67314f97a04440a6590133377ae1b76d2e81c7a SHA1 70258b13b0c5ec622024ff077a1ea86dd972819c SHA256 200da1b4390a5e4bf91cb7278b3ad813194f0e395abc0da6296ac415e11a76cb
+EBUILD spew-1.0.8.ebuild 867 RMD160 cbd1d424de78f2365aae98546c6c6a0d40a9cb1f SHA1 b23f76b5a9c76e7492d1e73b97e5f111f4608b24 SHA256 6f0be2a492d0d5ca97ce2aba8b44db476610c378f25b020f264199348e5cf3a0
+MISC ChangeLog 179 RMD160 21b25722427f9d337dd6b24f40c3494fe61decb7 SHA1 d118780f0fd081652557bd237c22f0553a9cf1e0 SHA256 22e7fb5536fadeee8fec80eee0982bb309e51ca2f715a83c3ec5e05e32465576
+MISC metadata.xml 447 RMD160 b52268043bc52e4e7585a08afce87d44d8aed447 SHA1 4a125d08613a97c00528b9dd1509e267eefa8000 SHA256 364f375c7dadcede1d8384f71bf2ad059cbcfea4efc486e9e8e3f7a3ef78c037
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.17 (GNU/Linux)
+
+iEYEAREIAAYFAk2bIRMACgkQl5yvQNBFVTUh+wCcDPAyuGc5iN7zL/jxKtTmzX3t
+TqAAnj8/X5paQyWHXeWLpDaQVzuXoEkp
+=Ldxh
+-----END PGP SIGNATURE-----

diff --git a/app-benchmarks/spew/files/remove-symlinks-makefile.patch b/app-benchmarks/spew/files/remove-symlinks-makefile.patch
new file mode 100644
index 0000000..e5c369a
--- /dev/null
+++ b/app-benchmarks/spew/files/remove-symlinks-makefile.patch
@@ -0,0 +1,26 @@
+diff -Naur spew-1.0.8.orig/man/Makefile.am spew-1.0.8/man/Makefile.am
+--- spew-1.0.8.orig/man/Makefile.am	2008-05-13 00:47:28.000000000 -0400
++++ spew-1.0.8/man/Makefile.am	2011-04-05 09:39:32.000000000 -0400
+@@ -10,11 +10,5 @@
+ 	sed -e 's!SPEW_VERSION!$(VERSION)!' \
+ 	    -e 's!SYSCONFDIR!$(sysconfdir)!' $< >$@
+ 
+-install-data-am:	install-man install-man-local
+-
+-install-man-local:
+-	(cd $(DESTDIR)$(mandir)/man1 && $(LN_S) -f spew.1 gorge.1)
+-	(cd $(DESTDIR)$(mandir)/man1 && $(LN_S) -f spew.1 regorge.1)
+-
+ help2man:
+ 	help2man --section=1 --no-info --name="measures I/O performance and/or generates I/O load" --include="spew.1.include" --output=spew.1.in ../src/spew
+diff -Naur spew-1.0.8.orig/src/Makefile.am spew-1.0.8/src/Makefile.am
+--- spew-1.0.8.orig/src/Makefile.am	2008-05-13 00:47:20.000000000 -0400
++++ spew-1.0.8/src/Makefile.am	2011-04-05 09:35:16.000000000 -0400
+@@ -38,7 +38,3 @@
+                SpewTuiStatusWindow.cpp SpewTuiStatusWindow.h
+ 
+ spew_LDFLAGS = $(STATIC_LINK)
+-
+-install-exec-local:
+-	(cd $(DESTDIR)$(bindir) && $(LN_S) -f spew gorge)
+-	(cd $(DESTDIR)$(bindir) && $(LN_S) -f spew regorge)

diff --git a/app-benchmarks/spew/metadata.xml b/app-benchmarks/spew/metadata.xml
new file mode 100644
index 0000000..5234f33
--- /dev/null
+++ b/app-benchmarks/spew/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer>
+		<email>blueness@g.o</email>
+		<name>Anthony G. Basile</name>
+	</maintainer>
+	<longdescription lang="en">
+		An I/O performance measurement and load generation tool. Writes
+		and/or reads generated data to or from a character device, block
+		device, or regular file.
+	</longdescription>
+</pkgmetadata>

diff --git a/app-benchmarks/spew/spew-1.0.8.ebuild b/app-benchmarks/spew/spew-1.0.8.ebuild
new file mode 100644
index 0000000..ad62109
--- /dev/null
+++ b/app-benchmarks/spew/spew-1.0.8.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+inherit autotools eutils
+
+DESCRIPTION="Measures I/O performance and/or generates I/O load"
+HOMEPAGE="http://spew.berlios.de/"
+SRC_URI="ftp://ftp.berlios.de/pub/spew/1.0.8/spew-1.0.8.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="static-libs"
+
+DEPEND="sys-libs/ncurses
+	dev-libs/popt"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	epatch "${FILESDIR}"/remove-symlinks-makefile.patch
+	eautoreconf
+}
+
+src_configure() {
+	econf $(use_enable static-libs static-link) || die "econf failed"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "emake install failed"
+	dosym spew /usr/bin/gorge
+	dosym spew /usr/bin/regorge
+	dosym spew.1.bz2 /usr/share/man/man1/gorge.1.bz2
+	dosym spew.1.bz2 /usr/share/man/man1/reorge.1.bz2
+}


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in net-print/pkpgcounter: pkpgcounter-3.50.ebuild ChangeLog
Next by thread:
dev/blueness:master commit in: app-benchmarks/spew/files/, app-benchmarks/spew/
Previous by date:
gentoo-x86 commit in net-print/pkpgcounter: pkpgcounter-3.50.ebuild ChangeLog
Next by date:
dev/blueness:master commit in: app-benchmarks/spew/


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.